﻿:root {
    --bb-header-color: #e0e0e0;
    --bb-header-bg: #089496;
}

.layout {
    --bb-layout-header-background: var(--bb-header-bg);
    --bb-layout-sidebar-banner-background: var(--bb-header-bg);
    --bb-layout-header-color: var(--bb-header-color);
    --bb-layout-title-color: var(--bb-header-color);
}

.layout-header {
    border-bottom: 1px solid var(--bs-border-color);
}

    .layout-header .widget {
        margin-right: 2rem;
    }

.layout-banner {
    border-bottom: 1px solid var(--bs-border-color);
}

    /*.layout-banner .layout-logo {
        border: 1px solid var(--bb-header-color);
    }*/

.layout-side {
    border-right: 1px solid var(--bs-border-color);
}

.layout-footer {
    border-top: 1px solid var(--bs-border-color);
}

.dropdown-logout {
    --bb-logout-text-color: var(--bb-header-color);
}

.logout-avatar {
    border-radius: 50%;
}

.dropdown-user img {
    border-radius: 50%;
}

.layout-drawer {
    padding: 6px;
    cursor: pointer;
}

.widget {
    --bb-widget-toggle-color: var(--bb-header-color);
}

    .widget .dropdown-menu {
        --bs-dropdown-min-width: 16rem;
    }

    .widget .dropdown-body h3 {
        color: #666666;
        font-size: 14px;
        margin-bottom: 10px;
    }

    .widget .dropdown-body h4 {
        color: #444444;
        font-size: 15px;
        margin: 0;
    }

    .widget .dropdown-body small {
        color: #999999;
        font-size: 10px;
        position: absolute;
        top: 0;
        right: 0;
    }

    .widget .dropdown-item {
        padding: 0.5rem 1rem;
        min-width: 100px;
    }

        .widget .dropdown-item > div:not(.progress):last-child {
            width: calc(100% - 40px);
        }

        .widget .dropdown-item.active,
        .widget .dropdown-item:active {
            color: inherit;
        }

        .widget .dropdown-item:not(:nth-of-type(odd)):active {
            background-color: inherit;
        }

    .widget .progress {
        height: 7px;
    }

.table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

.table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}

.user-demo-address {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

.table-demo {
    height: calc(100% - 56px);
}

.table-users-demo {
    height: calc(100vh - 162px);
}

.table-users {
    height: calc(100% - 93px);
}

.cell-label {
    line-height: 35px;
}

.menu {
    --bb-menu-active-color: #089496;
    --bb-menu-bar-bg: #089496;
    --bb-menu-item-hover-bg: #089496;
    --bb-menu-item-hover-color: #fff;
}


/*Custom CSS BootsrapBlazor*/
.module-divider {
    margin-top: 40px;
    margin-bottom: 30px;
}

.module-content > .divider .divider-text {
    color: #08979d;
    font-weight: 500;
    font-size: larger;
}

.module-card {
    cursor: pointer !important;
}

.tooltip-inline {
  display: inline !important;
}

.header-responsive {
    gap: 0.5rem;
}

@media (max-width: 576px) {
    .header-responsive {
        flex-direction: column !important;
        align-items: stretch !important;
    }

        .header-responsive .d-none.d-sm-block {
            display: none !important;
        }

        .header-responsive .divider.divider-vertical {
            align-self: auto !important;
        }

}

/* app.css atau MainLayout.razor.css */
.module-list-flex {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    margin-bottom: 1rem;
}

.module-title-item {
    color: #82a1a0; 
    background: none;
    border: none;
    padding: 0.1rem 1rem;
    margin-bottom: 0.5rem;
    cursor: pointer;
    transition: color 0.2s;
    user-select: none;
    box-shadow: none;
}

    .module-title-item:hover,
    .module-title-item:focus {
        color: #fff; 
        background: var(--bb-header-bg);
        outline: none;
        border-radius: 20px;
    }

.dropdown-logout .logout-avatar {
    width: 30px !important;
    height: 30px !important;
}

.module-list-flex > .divider .divider-mask {
    background-color: var(--bb-header-bg) !important;
}

.module-list-flex > .divider .divider-text.is-left {
    color: var(--bb-header-bg) !important;
}

.step-content {
    animation: fadeSlideIn 0.3s ease-in-out;
}

@keyframes fadeSlideIn {
    from {
        opacity: 0;
        transform: translateX(15px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}
